Resources
List all Resources items.
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Project API key authentication. Use your project API key as a Bearer token in the Authorization header.
Catalog version identifier
ver_c4x6k3w8j7n9b1z5s2t4m8q0veCursor for pagination (item ID)
Maximum number of items to return (default: 50, max: 1000)
50Sort order. Use 'prop' for ascending, '-prop' for descending. Multiple params supported (e.g. sort=name&sort=-createdAt)
List of Resources
Resources collection
Invalid request
Unauthorized
Forbidden
Internal Server Error
GET /v2/catalog/versions/{versionId}/resources HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [],
"pagination": {
"nextCursor": null,
"hasMore": true,
"limit": 1
}
}Create a new Resource item.
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Project API key authentication. Use your project API key as a Bearer token in the Authorization header.
Catalog version identifier
ver_c4x6k3w8j7n9b1z5s2t4m8q0veResource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Object ID with prefix "rsc_"
rsc_agqumsqmzryetpiazuyt4yablmExample: rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource name, typically the same key used when the schema is referenced in API definitions.
""Example: UserDescription of what this reusable schema represents (markdown).
User object schema with id, name, and email fields.Object ID with prefix "ver_"
ver_c4x6k3w8j7n9b1z5s2t4m8q0veStructured schema describing the reusable object shape.
{"type":"object","properties":{}}2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000Z2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000ZResource created
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Object ID with prefix "rsc_"
rsc_agqumsqmzryetpiazuyt4yablmExample: rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource name, typically the same key used when the schema is referenced in API definitions.
""Example: UserDescription of what this reusable schema represents (markdown).
User object schema with id, name, and email fields.Object ID with prefix "ver_"
ver_c4x6k3w8j7n9b1z5s2t4m8q0veStructured schema describing the reusable object shape.
{"type":"object","properties":{}}2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000Z2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000ZInvalid request
Unauthorized
Forbidden
Conflict
Internal Server Error
POST /v2/catalog/versions/{versionId}/resources HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 389
{
"id": "rsc_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"name": "User",
"description": "User object schema with id, name, and email fields.",
"versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"schema": {
"type": "object",
"properties": {}
},
"kvStorage": {},
"externalDocs": {
"url": "https://example.com/docs",
"description": "Schema documentation"
},
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}{
"id": "rsc_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"name": "User",
"description": "User object schema with id, name, and email fields.",
"versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"schema": {
"type": "object",
"properties": {}
},
"kvStorage": {},
"externalDocs": {
"url": "https://example.com/docs",
"description": "Schema documentation"
},
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}Get a Resource item by its id.
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Project API key authentication. Use your project API key as a Bearer token in the Authorization header.
Catalog version identifier
ver_c4x6k3w8j7n9b1z5s2t4m8q0veResource identifier
rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource details
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Object ID with prefix "rsc_"
rsc_agqumsqmzryetpiazuyt4yablmExample: rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource name, typically the same key used when the schema is referenced in API definitions.
""Example: UserDescription of what this reusable schema represents (markdown).
User object schema with id, name, and email fields.Object ID with prefix "ver_"
ver_c4x6k3w8j7n9b1z5s2t4m8q0veStructured schema describing the reusable object shape.
{"type":"object","properties":{}}2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000Z2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000ZInvalid request
Unauthorized
Forbidden
Resource not found
Internal Server Error
GET /v2/catalog/versions/{versionId}/resources/{id} HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "rsc_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"name": "User",
"description": "User object schema with id, name, and email fields.",
"versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"schema": {
"type": "object",
"properties": {}
},
"kvStorage": {},
"externalDocs": {
"url": "https://example.com/docs",
"description": "Schema documentation"
},
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}Completely replaces a Resource item by its id.
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Project API key authentication. Use your project API key as a Bearer token in the Authorization header.
Catalog version identifier
ver_c4x6k3w8j7n9b1z5s2t4m8q0veResource identifier
rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Object ID with prefix "rsc_"
rsc_agqumsqmzryetpiazuyt4yablmExample: rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource name, typically the same key used when the schema is referenced in API definitions.
""Example: UserDescription of what this reusable schema represents (markdown).
User object schema with id, name, and email fields.Object ID with prefix "ver_"
ver_c4x6k3w8j7n9b1z5s2t4m8q0veStructured schema describing the reusable object shape.
{"type":"object","properties":{}}2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000Z2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000ZResource replaced
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Object ID with prefix "rsc_"
rsc_agqumsqmzryetpiazuyt4yablmExample: rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource name, typically the same key used when the schema is referenced in API definitions.
""Example: UserDescription of what this reusable schema represents (markdown).
User object schema with id, name, and email fields.Object ID with prefix "ver_"
ver_c4x6k3w8j7n9b1z5s2t4m8q0veStructured schema describing the reusable object shape.
{"type":"object","properties":{}}2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000Z2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000ZResource created
Invalid request
Unauthorized
Forbidden
Resource not found
Internal Server Error
POST /v2/catalog/versions/{versionId}/resources/{id} HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 389
{
"id": "rsc_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"name": "User",
"description": "User object schema with id, name, and email fields.",
"versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"schema": {
"type": "object",
"properties": {}
},
"kvStorage": {},
"externalDocs": {
"url": "https://example.com/docs",
"description": "Schema documentation"
},
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}{
"id": "rsc_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"name": "User",
"description": "User object schema with id, name, and email fields.",
"versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"schema": {
"type": "object",
"properties": {}
},
"kvStorage": {},
"externalDocs": {
"url": "https://example.com/docs",
"description": "Schema documentation"
},
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}Delete a Resource item by its id.
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Project API key authentication. Use your project API key as a Bearer token in the Authorization header.
Catalog version identifier
ver_c4x6k3w8j7n9b1z5s2t4m8q0veResource identifier
rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource deleted
No content
Invalid request
Unauthorized
Forbidden
Resource not found
Internal Server Error
DELETE /v2/catalog/versions/{versionId}/resources/{id} HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Partially updates a Resource item by its id.
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Project API key authentication. Use your project API key as a Bearer token in the Authorization header.
Catalog version identifier
ver_c4x6k3w8j7n9b1z5s2t4m8q0veResource identifier
rsc_c4x6k3w8j7n9b1z5s2t4m8q0veObject ID with prefix "rsc_"
rsc_agqumsqmzryetpia2sui7ellyqExample: rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource name, typically the same key used when the schema is referenced in API definitions.
""Example: UserDescription of what this reusable schema represents (markdown).
User object schema with id, name, and email fields.Object ID with prefix "ver_"
ver_c4x6k3w8j7n9b1z5s2t4m8q0veStructured schema describing the reusable object shape.
{"type":"object","properties":{}}2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000Z2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000ZResource updated
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Object ID with prefix "rsc_"
rsc_agqumsqmzryetpiazuyt4yablmExample: rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource name, typically the same key used when the schema is referenced in API definitions.
""Example: UserDescription of what this reusable schema represents (markdown).
User object schema with id, name, and email fields.Object ID with prefix "ver_"
ver_c4x6k3w8j7n9b1z5s2t4m8q0veStructured schema describing the reusable object shape.
{"type":"object","properties":{}}2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000Z2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000ZInvalid request
Unauthorized
Forbidden
Resource not found
Internal Server Error
PATCH /v2/catalog/versions/{versionId}/resources/{id} HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 389
{
"id": "rsc_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"name": "User",
"description": "User object schema with id, name, and email fields.",
"versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"schema": {
"type": "object",
"properties": {}
},
"kvStorage": {},
"externalDocs": {
"url": "https://example.com/docs",
"description": "Schema documentation"
},
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}{
"id": "rsc_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"name": "User",
"description": "User object schema with id, name, and email fields.",
"versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"schema": {
"type": "object",
"properties": {}
},
"kvStorage": {},
"externalDocs": {
"url": "https://example.com/docs",
"description": "Schema documentation"
},
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}List all Resources items.
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Project API key authentication. Use your project API key as a Bearer token in the Authorization header.
Project slug or project id (proj_*)
Object ID with prefix "proj_"
proj_c4x6k3w8j7n9b1z5s2t4m8q0veVersion type, can be either 'branch' or 'environment'
branchPossible values: Version slug
mainCursor for pagination (item ID)
Maximum number of items to return (default: 50, max: 1000)
50Sort order. Use 'prop' for ascending, '-prop' for descending. Multiple params supported (e.g. sort=name&sort=-createdAt)
List of Resources
Resources collection
Invalid request
Unauthorized
Forbidden
Internal Server Error
GET /v2/catalog/projects/{projectRef}/{versionType}/{versionSlug}/resources HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [],
"pagination": {
"nextCursor": null,
"hasMore": true,
"limit": 1
}
}Create a new Resource item.
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Project API key authentication. Use your project API key as a Bearer token in the Authorization header.
Project slug or project id (proj_*)
Object ID with prefix "proj_"
proj_c4x6k3w8j7n9b1z5s2t4m8q0veVersion type, can be either 'branch' or 'environment'
branchPossible values: Version slug
mainResource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Object ID with prefix "rsc_"
rsc_agqumsqmzryetpiazuyt4yablmExample: rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource name, typically the same key used when the schema is referenced in API definitions.
""Example: UserDescription of what this reusable schema represents (markdown).
User object schema with id, name, and email fields.Object ID with prefix "ver_"
ver_c4x6k3w8j7n9b1z5s2t4m8q0veStructured schema describing the reusable object shape.
{"type":"object","properties":{}}2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000Z2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000ZResource created
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Object ID with prefix "rsc_"
rsc_agqumsqmzryetpiazuyt4yablmExample: rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource name, typically the same key used when the schema is referenced in API definitions.
""Example: UserDescription of what this reusable schema represents (markdown).
User object schema with id, name, and email fields.Object ID with prefix "ver_"
ver_c4x6k3w8j7n9b1z5s2t4m8q0veStructured schema describing the reusable object shape.
{"type":"object","properties":{}}2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000Z2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000ZInvalid request
Unauthorized
Forbidden
Conflict
Internal Server Error
POST /v2/catalog/projects/{projectRef}/{versionType}/{versionSlug}/resources HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 389
{
"id": "rsc_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"name": "User",
"description": "User object schema with id, name, and email fields.",
"versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"schema": {
"type": "object",
"properties": {}
},
"kvStorage": {},
"externalDocs": {
"url": "https://example.com/docs",
"description": "Schema documentation"
},
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}{
"id": "rsc_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"name": "User",
"description": "User object schema with id, name, and email fields.",
"versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"schema": {
"type": "object",
"properties": {}
},
"kvStorage": {},
"externalDocs": {
"url": "https://example.com/docs",
"description": "Schema documentation"
},
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}Get a Resource item by its id.
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Project API key authentication. Use your project API key as a Bearer token in the Authorization header.
Project slug or project id (proj_*)
Object ID with prefix "proj_"
proj_c4x6k3w8j7n9b1z5s2t4m8q0veVersion type, can be either 'branch' or 'environment'
branchPossible values: Version slug
mainResource identifier
rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource details
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Object ID with prefix "rsc_"
rsc_agqumsqmzryetpiazuyt4yablmExample: rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource name, typically the same key used when the schema is referenced in API definitions.
""Example: UserDescription of what this reusable schema represents (markdown).
User object schema with id, name, and email fields.Object ID with prefix "ver_"
ver_c4x6k3w8j7n9b1z5s2t4m8q0veStructured schema describing the reusable object shape.
{"type":"object","properties":{}}2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000Z2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000ZInvalid request
Unauthorized
Forbidden
Resource not found
Internal Server Error
GET /v2/catalog/projects/{projectRef}/{versionType}/{versionSlug}/resources/{id} HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "rsc_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"name": "User",
"description": "User object schema with id, name, and email fields.",
"versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"schema": {
"type": "object",
"properties": {}
},
"kvStorage": {},
"externalDocs": {
"url": "https://example.com/docs",
"description": "Schema documentation"
},
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}Completely replaces a Resource item by its id.
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Project API key authentication. Use your project API key as a Bearer token in the Authorization header.
Project slug or project id (proj_*)
Object ID with prefix "proj_"
proj_c4x6k3w8j7n9b1z5s2t4m8q0veVersion type, can be either 'branch' or 'environment'
branchPossible values: Version slug
mainResource identifier
rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Object ID with prefix "rsc_"
rsc_agqumsqmzryetpiazuyt4yablmExample: rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource name, typically the same key used when the schema is referenced in API definitions.
""Example: UserDescription of what this reusable schema represents (markdown).
User object schema with id, name, and email fields.Object ID with prefix "ver_"
ver_c4x6k3w8j7n9b1z5s2t4m8q0veStructured schema describing the reusable object shape.
{"type":"object","properties":{}}2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000Z2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000ZResource replaced
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Object ID with prefix "rsc_"
rsc_agqumsqmzryetpiazuyt4yablmExample: rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource name, typically the same key used when the schema is referenced in API definitions.
""Example: UserDescription of what this reusable schema represents (markdown).
User object schema with id, name, and email fields.Object ID with prefix "ver_"
ver_c4x6k3w8j7n9b1z5s2t4m8q0veStructured schema describing the reusable object shape.
{"type":"object","properties":{}}2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000Z2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000ZResource created
Invalid request
Unauthorized
Forbidden
Resource not found
Internal Server Error
POST /v2/catalog/projects/{projectRef}/{versionType}/{versionSlug}/resources/{id} HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 389
{
"id": "rsc_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"name": "User",
"description": "User object schema with id, name, and email fields.",
"versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"schema": {
"type": "object",
"properties": {}
},
"kvStorage": {},
"externalDocs": {
"url": "https://example.com/docs",
"description": "Schema documentation"
},
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}{
"id": "rsc_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"name": "User",
"description": "User object schema with id, name, and email fields.",
"versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"schema": {
"type": "object",
"properties": {}
},
"kvStorage": {},
"externalDocs": {
"url": "https://example.com/docs",
"description": "Schema documentation"
},
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}Delete a Resource item by its id.
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Project API key authentication. Use your project API key as a Bearer token in the Authorization header.
Project slug or project id (proj_*)
Object ID with prefix "proj_"
proj_c4x6k3w8j7n9b1z5s2t4m8q0veVersion type, can be either 'branch' or 'environment'
branchPossible values: Version slug
mainResource identifier
rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource deleted
No content
Invalid request
Unauthorized
Forbidden
Resource not found
Internal Server Error
DELETE /v2/catalog/projects/{projectRef}/{versionType}/{versionSlug}/resources/{id} HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Partially updates a Resource item by its id.
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Project API key authentication. Use your project API key as a Bearer token in the Authorization header.
Project slug or project id (proj_*)
Object ID with prefix "proj_"
proj_c4x6k3w8j7n9b1z5s2t4m8q0veVersion type, can be either 'branch' or 'environment'
branchPossible values: Version slug
mainResource identifier
rsc_c4x6k3w8j7n9b1z5s2t4m8q0veObject ID with prefix "rsc_"
rsc_agqumsqmzryetpia33dt5ldlwyExample: rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource name, typically the same key used when the schema is referenced in API definitions.
""Example: UserDescription of what this reusable schema represents (markdown).
User object schema with id, name, and email fields.Object ID with prefix "ver_"
ver_c4x6k3w8j7n9b1z5s2t4m8q0veStructured schema describing the reusable object shape.
{"type":"object","properties":{}}2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000Z2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000ZResource updated
Resource is a reusable object schema that can be referenced by requests, responses, and parameters. Resource is also known as an Entity or Object Schema.
Object ID with prefix "rsc_"
rsc_agqumsqmzryetpiazuyt4yablmExample: rsc_c4x6k3w8j7n9b1z5s2t4m8q0veResource name, typically the same key used when the schema is referenced in API definitions.
""Example: UserDescription of what this reusable schema represents (markdown).
User object schema with id, name, and email fields.Object ID with prefix "ver_"
ver_c4x6k3w8j7n9b1z5s2t4m8q0veStructured schema describing the reusable object shape.
{"type":"object","properties":{}}2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000Z2026-10-16T19:57:00.492ZExample: 2024-01-15T10:30:00.000ZInvalid request
Unauthorized
Forbidden
Resource not found
Internal Server Error
PATCH /v2/catalog/projects/{projectRef}/{versionType}/{versionSlug}/resources/{id} HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 389
{
"id": "rsc_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"name": "User",
"description": "User object schema with id, name, and email fields.",
"versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"schema": {
"type": "object",
"properties": {}
},
"kvStorage": {},
"externalDocs": {
"url": "https://example.com/docs",
"description": "Schema documentation"
},
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}{
"id": "rsc_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"name": "User",
"description": "User object schema with id, name, and email fields.",
"versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
"schema": {
"type": "object",
"properties": {}
},
"kvStorage": {},
"externalDocs": {
"url": "https://example.com/docs",
"description": "Schema documentation"
},
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}Last updated